Skip to main content
GET
/
v1
/
vaults
/
{vault_id}
/
timeseries
Get vault timeseries data
curl --request GET \
  --url https://api.gauntlet.xyz/v1/vaults/{vault_id}/timeseries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "total_supply": "<string>",
      "tvl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "unit_price": "<string>",
      "apy_30d": 123,
      "apy_7d": 123,
      "apy_90d": 123
    }
  ],
  "meta": {
    "count": 123,
    "limit": 123,
    "refreshed_at": "2023-11-07T05:31:56Z",
    "request_id": "<string>",
    "end": "2023-11-07T05:31:56Z",
    "next_cursor": "<string>",
    "start": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vault_id
string
required

Vault identifier

Query Parameters

start
string

Start timestamp (ISO 8601)

end
string

End timestamp (ISO 8601)

next
string

Opaque cursor from previous meta.next_cursor.

limit
integer<int64>

Page size (1–10000, default 1000).

order
string

Sort direction: asc (default) or desc.

Response

Timeseries data points

data
object[]
required
meta
object
required